> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/proximitypromptinputtype.md).

# ProximityPromptInputType

## Overview

ProximityPromptInputType는 ProximityPrompt의 입력 유형을 나타내는 Enum입니다.

ProximityPrompt가 키보드 입력으로 활성화되는지, 터치 입력으로 활성화되는지를 구분합니다.

## Items

| Name     | Value | Description            |
| -------- | ----- | ---------------------- |
| Keyboard | 0     | 키보드 입력으로 프롬프트가 활성화됩니다. |
| Touch    | 2     | 터치 입력으로 프롬프트가 활성화됩니다.  |

## See also

{% content-ref url="/pages/tKGxkSWby8ls9WDqYnw1" %}
[ProximityPrompt](/korean/development/api-reference/classes/proximityprompt.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/proximitypromptinputtype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
